# e-table-tree

## Name

e-table-tree --

## Synopsis

    typedef     u;
    ETableGroup* e_table_group_new              (const char *title,
                                                 ETableModel *table);
    ETableGroup* e_table_group_new_leaf         (const char *title);

## Description

## Details

### u

    typedef struct {
    	char *title;

    	union {
    		ETableModel *table;
    		GList *children;
    	} u;

### e_table_group_new ()

    ETableGroup* e_table_group_new              (const char *title,
                                                 ETableModel *table);

`ETableGroup` is a collection of rows of an `ETable`. It's a `GnomeCanvasItem`. There are two different forms. If n < the number of groupings in the given `ETableSortInfo`, then the `ETableGroup` will need to contain other `ETableGroups`, thus it creates an `ETableGroupContainer`. Otherwise, it will just contain an `ETableItem`, and thus it creates an `ETableGroupLeaf`.

`title` : |
`table` : |
Returns : |

### e_table_group_new_leaf ()

    ETableGroup* e_table_group_new_leaf         (const char *title);

`title` : |
Returns : |